Bug 116838 - tty devices aren't working right for command output
tty devices aren't working right for command output
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-02-25 12:24 EST by Bill Nottingham
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.9.2-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-05 18:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-02-25 12:24:10 EST
Description of problem:

Certain apps fail to write their output to the tty.

Version-Release number of selected component (if applicable):

policy-1.6-6

How reproducible:

Every time

Steps to Reproduce:
1. locate libplain.la
  
Actual results:

# locate libplain.la
savc: denied { read write } for pid=50001 exe=/usr/bin/slocate
path=/dev/tty dev=hda3 ino=450519 scontext=root:system-r:locate_t
tcontext=root:object_r:sysadm_tty_device_t tclass=chr_file

Expected results:

# locate libplain.la
/usr/lib64/sasl2/libplain.la
Comment 1 Daniel Walsh 2004-03-30 14:43:06 EST
Fixed in latest policy.

policy-1.9.1-2
Comment 2 Ben Levenson 2004-04-05 18:47:14 EDT
fix verified in policy-1.9.2-11:
allow locate_t { userpty_type { sysadm_tty_device_t sysadm_devpts_t }
}:chr_file { ioctl read getattr lock write append };

Note You need to log in before you can comment on or make changes to this bug.